#ifndef IPicture_H
#define IPicture_H
//------------------------------------------------------------------------------
/* File: IPicture.h
  
   Desc: Header File for I Picture
  
  
   Copyright (c) 2001-2002 Gireesh Sadasivan.  All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.*/
//------------------------------------------------------------------------------

#include <MacroBlk.h>
#include <Picture.h>

class CGSIPicture:public CGSPicture
{
    protected:
    public:

        CGSIPicture()
        {
            eType = I;
        }

        void SetData()
        {
            // Now fill the macro blocks
            for( CGSMacroBlock *pMB = pMacroBlocks; pMB < pMacroBlocks+numberOfMacroBlocks; pMB++ )
            {
                pMB->SetData();
            }
        }

        void ConstructImageFromMacroBlocks();
        void Write( ulong32 uPictureCount );
        void Predict( CGSPicture *pBeforeMe, CGSPicture *pAfterMe ){/*Can't Predit an I */}
};

#endif //#ifndef IPicture_H
