#include <GSEncCtl.h>

void FileDriver( CGSEncoderController &MyController )
{
    FILE *pFile = fopen( "D:\\MyRecordings\\Frame.BIT", "rb" );

    if( pFile )
    {
        sint16 imageWidth, imageHeight;
        ubyte8 *pSampleImage = 0;
        if( fread( &imageWidth, sizeof( imageWidth ), 1, pFile ) )
        {
            if( fread( &imageHeight, sizeof( imageHeight ), 1, pFile ) )
            {
                pSampleImage = new ubyte8[imageWidth*imageHeight*2];
                if( pSampleImage )
                {
                    MyController.Initialize( imageWidth, imageHeight, "D:\\MyRecordings\\MPEG2TST.MPG" );
                    for( int i = 0; i < 3; i++ )
                    {
                        if( fread( pSampleImage, sizeof(char), 2*imageWidth*imageHeight, pFile ) )
                        {
                            MyController.ProcessImage( pSampleImage );
                        }
                    }
                    MyController.Finalize();
                }
            }
        }
        fclose( pFile );
    }
}


